// export default function(data, delRequest){
//   window.setLoading && window.setLoading(false);
//   return new Promise((resolve, reject) => {
//     if (data) {
//       if (data.dataList || data.dataList === null){
//         resolve(data.dataList);
//       } else if (data.result || data.result === null){
//         resolve(data.result);
//       } else if (data === 'TypeError: Failed to fetch'){
//         reject(data);
//       } else {
//         resolve(data);
//       }
//     } else {
//       reject(data);
//     }
//   });
// }
export default function(data, delRequest){
  window.setLoading && window.setLoading(false);
  return new Promise((resolve, reject) => {
    if (data) {
      if (data.result === 'SUCCESS') {
        if (data.dataList || data.dataList === null){
          resolve(data.dataList);
        } else {
          resolve(data);
        }
      } else if (data.status === 200){
        if (data.result || data.result !== ''){
          resolve(data.result);
        } else {
          resolve(data);
        }
      } else {
        resolve(data);
      }
    } else {
      reject(data);
    }
  });
}
